Uncaught TypeError: Cannot read property 'getLeadSectionElement' of undefined
Closed, ResolvedPublic

Description

Client side error seen on https://en.m.wikipedia.beta.wmflabs.org/wiki/Plantilla:Cita_web
Occurs on page load. At time of writing cannot see any noticeable issues in the UI, but we should assume that they may exist.

Likely related to recent changes T191532.

To be confirmed: I suspect this might be an unbreak now. At the very minimum this is likely to be break the availability of page issues. We may need a SWAT deploy to fix.

Jdlrobson created this task.Aug 1 2018, 2:16 AM
Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptAug 1 2018, 2:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson triaged this task as High priority.Aug 1 2018, 2:16 AM
Jdlrobson added a subscriber: ovasileva.
Jdlrobson raised the priority of this task from High to Unbreak Now!.Aug 1 2018, 3:03 AM

Looks like this is on master. :(
Will need to be fixed in SWAT or part of next release: https://test.m.wikipedia.org/wiki/%C5%9Eablon:GSR/2015-08-19
Easiest thing to do will be to revert that change, but the fix looks trivial.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptAug 1 2018, 3:03 AM

Change 449645 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Restore page issues

https://gerrit.wikimedia.org/r/449645

Change 449646 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] QA: Issues should be run on integration test

https://gerrit.wikimedia.org/r/449646

Change 449647 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@wmf/1.32.0-wmf.15] Restore page issues

https://gerrit.wikimedia.org/r/449647

This was picked up by https://integration.wikimedia.org/ci/view/Reading-Web/job/selenium-MinervaNeue/ but for some reason the test wasn't being run on commits. I've added a test to make sure this doesn't happen again. This change will need a SWAT - I've prepared the patch above.

Change 449647 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@wmf/1.32.0-wmf.15] Restore page issues

https://gerrit.wikimedia.org/r/449647

Change 449645 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Restore page issues

https://gerrit.wikimedia.org/r/449645

Mentioned in SAL (#wikimedia-operations) [2018-08-01T11:45:53Z] <zfilipin@deploy1001> Synchronized php-1.32.0-wmf.15/skins/MinervaNeue/: SWAT: [[gerrit:449647|Restore page issues (T200867)]] (duration: 00m 57s)

phuedx closed this task as Resolved.Aug 1 2018, 5:03 PM
phuedx claimed this task.
phuedx added a subscriber: phuedx.

Being bold.

Jdlrobson reopened this task as Open.Aug 3 2018, 1:04 AM

https://gerrit.wikimedia.org/r/449646 is still awaiting review. We want to avoid this regression ever happening again.

phuedx added a comment.Aug 3 2018, 8:32 AM

It won't but I take your point 😉

phuedx lowered the priority of this task from Unbreak Now! to Normal.Aug 3 2018, 8:32 AM
phuedx removed phuedx as the assignee of this task.

LGTM. https://gerrit.wikimedia.org/r/449645 has been merged so I've merged the patch for this ticket https://gerrit.wikimedia.org/r/449646 and moving this to sign-off.

Change 449646 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] QA: Issues should be run on integration test

https://gerrit.wikimedia.org/r/449646

phuedx closed this task as Resolved.Aug 3 2018, 5:25 PM
phuedx claimed this task.

Being bold… again!